# Portability Lookup

## MNP lookup

> \*\*Introduction\*\*\
> \
> Mobile Number Portability (MNP) lookup APIs allow you to discover information about a provided number by directly querying mobile number portability databases.\
> \
> Each response contains:\
> \- \`date\` — time when the request was executed (ISO8601)\
> \- \`msisdn\` — the number for which the response has been returned\
> \- \`mcc\` — Mobile country code (\[learn more]\(<https://en.wikipedia.org/wiki/Mobile\\_country\\_code))\\>
> \- \`mnc\` — Mobile network code (\[learn more]\(<https://en.wikipedia.org/wiki/Mobile\\_country\\_code))\\>
> &#x20; \- the mobile network code to which the number currently belongs\
> \- \`omnc\` — Original network code\
> &#x20; \- returned in case the \`ported\` flag is \`true\`\
> \- \`originalNetwork\` (the network to which the number originally belonged)\
> &#x20; \- \`countryName\`\
> &#x20; \- \`countryPrefix\`\
> &#x20; \- \`networkName\`\
> \- \`portedNetwork\` (the network to which the number is currently ported)\
> &#x20; \- \`countryName\`\
> &#x20; \- \`countryPrefix\`\
> &#x20; \- \`networkName\`\
> \- \`ported\` — whether the number has been ported\
> \- \`price\` — the price for this request\
> \- \`response\` — the result code (see below)\
> \
> \*\*Response values\*\*\
> \
> \| Value | Description | Action |\
> \|------:|-------------|--------|\
> \| 0 | Success | ✈️ |\
> \| 1 | General error | Repeating the request won't yield a different result |\
> \| 2 | Pricing not set | Contact <procurement@bind.hr> |\
> \| 3 | Out of balance | Contact <procurement@bind.hr> |\
> \| 4 | Throttled | Contact <procurement@bind.hr> |\
> \| 5 | Invalid number | Number length not valid |\
> \| 6 | Not resolved | Number cannot be resolved due to missing coverage |\
> \| 7 | Timeout | Number cannot be resolved due to timeout |\
> \| 8 | Missing permissions | Contact <procurement@bind.hr> |

```json
{"openapi":"3.1.0","info":{"title":"Number intelligence API","version":"1.0"},"servers":[{"url":"https://number-api.bind.hr"}],"security":[{"default":[]}],"components":{"securitySchemes":{"default":{"type":"apiKey","in":"header","name":"X-API-KEY"}},"schemas":{"MsisdnRequest":{"type":"object","required":["msisdn"],"properties":{"msisdn":{"type":"array","items":{"type":"string"},"description":"A list of MSISDNs to look up."},"callback_url":{"type":"string","format":"uri","description":"An optional URL to receive a callback with the results."}}}}},"paths":{"/lookup/mnp":{"post":{"summary":"MNP lookup","description":"**Introduction**\n\nMobile Number Portability (MNP) lookup APIs allow you to discover information about a provided number by directly querying mobile number portability databases.\n\nEach response contains:\n- `date` — time when the request was executed (ISO8601)\n- `msisdn` — the number for which the response has been returned\n- `mcc` — Mobile country code ([learn more](https://en.wikipedia.org/wiki/Mobile_country_code))\n- `mnc` — Mobile network code ([learn more](https://en.wikipedia.org/wiki/Mobile_country_code))\n  - the mobile network code to which the number currently belongs\n- `omnc` — Original network code\n  - returned in case the `ported` flag is `true`\n- `originalNetwork` (the network to which the number originally belonged)\n  - `countryName`\n  - `countryPrefix`\n  - `networkName`\n- `portedNetwork` (the network to which the number is currently ported)\n  - `countryName`\n  - `countryPrefix`\n  - `networkName`\n- `ported` — whether the number has been ported\n- `price` — the price for this request\n- `response` — the result code (see below)\n\n**Response values**\n\n| Value | Description | Action |\n|------:|-------------|--------|\n| 0 | Success | ✈️ |\n| 1 | General error | Repeating the request won't yield a different result |\n| 2 | Pricing not set | Contact procurement@bind.hr |\n| 3 | Out of balance | Contact procurement@bind.hr |\n| 4 | Throttled | Contact procurement@bind.hr |\n| 5 | Invalid number | Number length not valid |\n| 6 | Not resolved | Number cannot be resolved due to missing coverage |\n| 7 | Timeout | Number cannot be resolved due to timeout |\n| 8 | Missing permissions | Contact procurement@bind.hr |","operationId":"mnpdb","tags":["Portability Lookup"],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/MsisdnRequest"}}}},"responses":{"200":{"description":"200","content":{"application/json":{"schema":{"type":"array","items":{"type":"object","required":["date","msisdn","price","response"],"properties":{"date":{"type":"string"},"mcc":{"type":"string"},"mnc":{"type":"string"},"msisdn":{"type":"string"},"omnc":{"type":"string"},"originalNetwork":{"type":"object","properties":{"countryName":{"type":"string"},"countryPrefix":{"type":"string"},"networkName":{"type":"string"}}},"ported":{"type":"boolean"},"portedNetwork":{"type":"object","properties":{"countryName":{"type":"string"},"countryPrefix":{"type":"string"},"networkName":{"type":"string"}}},"price":{"type":"number"},"response":{"type":"integer"}}}}}}},"401":{"description":"401","content":{"text/plain":{}}},"500":{"description":"500","content":{"text/plain":{}}}},"deprecated":false}}}}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://api.bind.hr/number-intelligence/portability-lookup.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
